%define upstream_name    DateTime-Precise
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Perform common time and date operations with
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch
%?perl_default_filter
%global __provides_exclude %{?__provides_exclude?__provides_exclude|}^perl\\(DateTime::Math/bigfloat.pl\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(DateTime::Math/big(float|int)\\.pl\\)

%description
The purpose of this library was to replace our dependence on Unix epoch
time, which, being limited to a range of about 1970 to 2030, is inadequate
for our purposes (we have data as old as 1870). This date library
effectively handles dates from A.D. 1000 to infinity, and would probably
work all the way back to 0 (ignoring, of course, the switch-over to the
Gregorian calendar). The useful features of Unix epoch time (ease of date
difference calculation and date comparison, strict ordering) are preserved,
and elements such as human-legibility are added. The library handles
fractional seconds and some date/time manipulations used for the Global
Positioning Satellite system.

The operators +/-, <=>, cmp, stringify are overloaded. Addition handles
seconds and fractions of seconds, subtraction handles seconds or date
differences, compares work, and stringification returns the a
representation of the date.

The US Geological Survey (USGS) likes midnight to be 24:00:00 of the
previous day, not 00:00:00 of the day people expect. If
$DateTime::Precise::USGSMidnight is set, dprintf will always print midnight
as 24:00:00 and the date returned from dprintf will have the previous day's
date. Regardless, time is always stored internally as 00:00:00.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.50.0-13.mga9
+ Revision: 1802919
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-12.mga8
+ Revision: 1493885
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.50.0-11.mga7
+ Revision: 1267040
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.50.0-10.mga6
+ Revision: 1025304
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.50.0-9.mga6
+ Revision: 938730
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-8.mga5
+ Revision: 739304
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 1.50.0-7.mga5
+ Revision: 736594
- add excludes

* Wed Oct 01 2014 tv <tv> 1.50.0-6.mga5
+ Revision: 733723
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 684289
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.50.0-4.mga4
+ Revision: 510741
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-3.mga3
+ Revision: 365666
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 1.50.0-2.mga3
+ Revision: 298234
- use meta.yml to get requires

* Mon Jun 18 2012 kharec <kharec> 1.50.0-1.mga3
+ Revision: 261444
- imported package perl-DateTime-Precise


* Mon Jun 18 2012 cpan2dist 1.05-1mga
- initial mageia release, generated with cpan2dist
